Subject: Re: [PATCH 0/7] forbidding symlinked .gitattributes and .gitignore

From: Jonathan Nieder <[email-masked]>
Date: Mon, 5 Oct 2020 00:32:02 -0700

Jeff King wrote:

> About 2 years ago as part of a security release we made it illegal to
> have a symlinked .gitmodules file (refusing it both in the index and via
> fsck). At the time we discussed (on the security list) outlawing
> symlinks for other .git files in the same way, but we decided not to do
> so as part of the security release, as it wasn't strictly necessary.
>
> We publicly revisited the topic in:
>
>   https://lore.kernel.org/git/[email-masked]/
>
> but there were a few fixes needed, and it got forgotten. So here it is
> again, with those fixes:

Oh!  I'm excited --- at $DAYJOB we've been carrying that patch since
then; I'll be happy to drop it. :)

Jonathan